/************************************************************************/
/* Copyright:	(c) Andrew Richards, 2000				*/
/************************************************************************/
/* License:	GNU General Public License version 2. This is contained	*/
/*		in the file gpl.txt supplied along with this program.	*/
/************************************************************************/
/* Authors:	Andrew Richards andrew@tic.ch (Advert: I offer qmail	*/
/*		  consultancy services - ich spreche auch Deutsch)	*/
/************************************************************************/
/* 08Aug2000:	ACR	First version - tested on Linux only.		*/
/************************************************************************/

#include "hash_core.h"
#include "admin_core.h"
#include "noddylib.h"
#include "../qmail-1.03/subfd.h"

int main( int argc, char *argv[] )
{
  if ( argc != 3)
  {
    substdio_puts(subfderr,"Error: Wrong no. of arguments.\n");
    substdio_puts(subfderr,"       Usage: ");
    substdio_puts(subfderr,argv[0]);
    substdio_puts(subfderr," <username> <alias_to_add>\n");
    substdio_flush(subfderr);
    return(1);
  }
  else
  {
    stringclean(argv[1]);
    stringclean(argv[2]);
    if (not_hashable(argv[1]) || not_hashable(argv[2]))
    {
      substdio_puts(subfderr,
        "Error: Malformed username/alias given (invalid chars or too long).\n");
      substdio_flush(subfderr);
      return(1);
    }
    else
      return(add_alias(argv[1],argv[2]));
  }
}
